Subject: Re: [PATCH] gitweb: add a setting to control the tabstop width

From: Charles Bailey <[email-masked]>
Date: Tue, 4 Mar 2008 08:41:20 +0000

On Tue, Mar 04, 2008 at 09:19:43AM +0100, Jakub Narebski wrote:
> On Tue, 4 Mar 2008, Martin Langhoff wrote:
> > On Tue, Mar 4, 2008 at 12:13 PM, Junio C Hamano <[email-masked]> wrote:
> >>  Some people say "Tabs are 8 characters, and thus indentations are also 8
> >>  characters.  There are heretic movements that try to make indentations 4
> >>  (or even 2!)  characters deep, and that is akin to trying to define the
> >>  value of PI to be 3."  Some people disagree.
> > 
> > And on the web, people use CSS to sort these disagreements amicably...
> > As a web apps guy, adding a setting for something like this, and then
> > changing the output feels _very_ weird, as it breaks with a lot of
> > stuff that Just Works in the HTTP+HTML world even for users that view
> > it differently... like caching :-)
> 
> The problem with using CSS to select tabstop width is twofold. First,
> it has to work correctly also in text browsers like lynx, elinks, w3m.
> Second, it is tabstop size, not the width of tab character; I'm not
> sure if it is possible to implement it in CSS.

I do understand Martin's point, it does feel a little wrong performing
a styling action in the html generation but, as Jakub says, I don't
believe there is a good CSS solution to the problem.

My patch doesn't change this issue (expanding tabs in the html
generation), it just makes it a little more flexible.